GuidoApp check_db "CHECK DATABASE CONNECTED"
$check_db setParam "databasesession" "GeologyDatabase"
set result [$check_db invoke]
$check_db destroy
if {$result == "0"} {
GuidoApp select "SELECT HOLE"
GuidoApp erase "ERASE HOLE GRAPHICALLY"
set hole_id "-"
while {$hole_id > ""} {
$select setParam prompt "RD_SELECT_ERASE_HOLE"
$select setParam single_click "true"
set result [$select invoke]
set buffer [ GuidoExecServer GetSelectedHoleId {} ]
set hole_id [ GuidoGetParamBufferValue $buffer hole_id ]
if {$hole_id > ""} {
$erase setParam hole_id $hole_id
$erase invoke
}
}
$select destroy
$erase destroy
}
